# frozen_string_literal: true

require 'spec_helper'

RSpec.describe Warclight::SolrDocument do
  let(:document) { SolrDocument.new }

  describe '#replay_link' do
    let(:document) do
      SolrDocument.new(wayback_date: '20150113163558', url: 'http://www.library.yorku.ca/robots.txt')
    end

    it 'writes a replay url based on memento time travel response' do
      expect(document.replay_link).to eq '<a href="https://web.archive.org/web/20150112225831/https://www.library.yorku.ca/robots.txt" target="_blank">https://web.archive.org/web/20150112225831/https://www.library.yorku.ca/robots.txt</a> 🔗'
    end

    context 'when time_travel_response.empty?' do
      let(:document) do
        SolrDocument.new(wayback_date: '20150113163601', url: 'http://www.library.yorku.ca/cms/steacie/about-the-library/hackfest/FAIL')
      end

      it 'writes a replay url that is "Not Available."' do
        expect(document.replay_link).to eq 'Not Available.'
      end
    end
  end
end
